<head>
  <meta charset="utf-8">
  <title>ANI / BUNE</title>
  <link type="text/css" rel="stylesheet" href="https://cdn.firebase.com/libs/firebaseui/4.0.0/firebaseui.css" />
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700|Roboto:300,400,700&display=swap"
    rel="stylesheet">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body>
  <div id="app">
    <section id="signin-section" style="display: none;">
      <h1>Sign in first</h1>
      <!-- <button id="registerButton">Sign In</button> -->
      <a id="googleSignIn" href="">Sign In</a>
      <section id="firebaseui-auth-container"></section>
    </section>
    <section id="signout-section" style="display: none;">
      <button id="signoutButton">Sign Out</button>
    </section>
    <section id="waiting-validation-section" style="display: none;">
      <div id="not-validated-title"></div>
      <div>An admin needs to validate your account before you can use the app</div>
    </section>
    <section id="researcher-section" style="display: none;">
      <h1>Research</h1>
    </section>
    <section id="admin-section" style="display: none;">
      <h1>Admin</h1>
      <div class="users-container">
        <div class="users-header">
          <div class="users-rowid">#</div>
          <!-- <div class="users-uid">uid</div> -->
          <div class="users-name">Display name</div>
          <div class="users-email">E-mail</div>
          <div class="users-roles">Roles</div>
          <div class="users-created">Created</div>
          <div class="users-lastlogin">Last login</div>
          <div class="users-actions"></div>
        </div>
        <div id="users-body" class="users-body">
        </div>
      </div>
      <div id="user-details" class="user-details" style="display: none;">
        <input type="hidden" id="user-details-uid">
        <div class="user-details-row">
          <span class="user-details-label">Display name</span>
          <div id="user-details-display" class="user-details-value">
            <input type="text" id="user-display-text" maxlength="200" size="30">
          </div>
        </div>
        <div class="user-details-row">
          <span class="user-details-label">E-mail</span>
          <div id="user-details-email" class="user-details-value"></div>
        </div>
        <div class="user-details-row">
          <span class="user-details-label">Roles</span>
          <div id="user-details-roles" class="user-details-value">
            <div class="user-role-chk">
              <input type="checkbox" id="user-roles-10" name="user-roles" value="10">
              <label for="user-roles-10">Researcher</label>
            </div>
            <div class="user-role-chk">
              <input type="checkbox" id="user-roles-70" name="user-roles" value="70">
              <label for="user-roles-70">Reviewer</label>
            </div>
            <div class="user-role-chk">
              <input type="checkbox" id="user-roles-150" name="user-roles" value="150">
              <label for="user-roles-150">Coordinator</label>
            </div>
            <div class="user-role-chk">
              <input type="checkbox" id="user-roles-250" name="user-roles" value="250">
              <label for="user-roles-250">Admin</label>
            </div>
          </div>
        </div>
        <div class="user-details-row">
          <button id="updateUserButton">Update</button>
        </div>
      </div>
    </section>
  </div>
</body>